classification
Title: redundant interning in PyObject_GetAttrString
Type: performance Stage: resolved
Components: Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: methane
Priority: normal Keywords: patch

Created on 2017-02-09 07:48 by methane, last changed 2017-02-21 14:57 by methane. This issue is now closed.

Files
File name Uploaded Description Edit
getattrstring-nointern.patch methane, 2017-02-09 07:48 review
Pull Requests
URL Status Linked Edit
PR 197 merged methane, 2017-02-20 11:54
Messages (2)
msg287386 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2017-02-09 07:48
PyObject_GetAttrString creates temporary unicode object and intern it.
It totally redundant.
msg288304 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2017-02-21 14:57
New changeset 3e8d6cb1892377394e4b11819c33fbac728ea9e0 by GitHub in branch 'master':
bpo-29509: skip redundant intern (GH-197)
https://github.com/python/cpython/commit/3e8d6cb1892377394e4b11819c33fbac728ea9e0
History
Date User Action Args
2017-02-21 14:57:51methanesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-02-21 14:57:27methanesetmessages: + msg288304
2017-02-20 11:54:46methanesetpull_requests: + pull_request164
2017-02-09 07:48:43methanecreate